Bug 862372

Summary: etracer killed with SIGABRT on quit
Product: [Fedora] Fedora Reporter: Martin <mholec>
Component: xorg-x11-drv-atiAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: tpelka, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 07:25:01 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Martin 2012-10-02 14:13:46 EDT
Description of problem:
etracer killed with SIGABRT on quit

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.x86_64
kernel-3.6.0-0.rc7.git0.1.fc18.x86_64
ATI X600

How reproducible:
always

Steps to Reproduce:
http://fedoraproject.org/wiki/QA:Testcase_radeon_3D_tuxracer

Actual results:

(gdb) r
Starting program: /usr/bin/etracer 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Extreme TuxRacer SVN Development --  http://www.extremetuxracer.com 
(c) 2007 The ETRacer team
(c) 2004-2005 The PPRacer team
(c) 1999-2001 Jasmin F. Patry<jfpatry@sunspirestudios.com>
ETRacer comes with ABSOLUTELY NO WARRANTY. This is free software,
and you are welcome to redistribute it under certain conditions.
See http://www.gnu.org/copyleft/gpl.html for details.

[New Thread 0x7fffef342700 (LWP 1522)]
[New Thread 0x7fffea923700 (LWP 1523)]
[Thread 0x7fffea923700 (LWP 1523) exited]
[New Thread 0x7fffea923700 (LWP 1524)]
%%% etracer warning: Attempt to bind to Texture unloaded texture: `b-herring_run_icon'

[Thread 0x7fffea923700 (LWP 1524) exited]
[Thread 0x7fffef342700 (LWP 1522) exited]
*** glibc detected *** /usr/bin/etracer: free(): invalid next size (fast): 0x0000000000cb33e0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x31c4a7c95e]
/usr/bin/etracer[0x410f34]
/usr/bin/etracer[0x410f14]
/usr/bin/etracer[0x410f14]
/lib64/libc.so.6[0x31c4a38df1]
/lib64/libc.so.6[0x31c4a38e75]
/usr/bin/etracer[0x455f15]
/usr/bin/etracer[0x40d426]
/usr/bin/etracer[0x40d861]
/usr/bin/etracer[0x40afe2]
/usr/bin/etracer[0x455f99]
/usr/bin/etracer[0x408539]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x31c4a21a05]
/usr/bin/etracer[0x4094d9]
======= Memory map: ========
00400000-00489000 r-xp 00000000 08:13 1180560                            /usr/bin/etracer
00688000-00689000 r--p 00088000 08:13 1180560                            /usr/bin/etracer
00689000-0068b000 rw-p 00089000 08:13 1180560                            /usr/bin/etracer
0068b000-008d7000 rw-p 00000000 00:00 0 
00a8a000-00a91000 rw-p 0008a000 08:13 1180560                            /usr/bin/etracer
00a91000-044bd000 rw-p 00000000 00:00 0                                  [heap]
31c4600000-31c4620000 r-xp 00000000 08:13 1179659                        /usr/lib64/ld-2.16.so
31c4820000-31c4821000 r--p 00020000 08:13 1179659                        /usr/lib64/ld-2.16.so
31c4821000-31c4822000 rw-p 00021000 08:13 1179659                        /usr/lib64/ld-2.16.so
31c4822000-31c4823000 rw-p 00000000 00:00 0 
31c4a00000-31c4bad000 r-xp 00000000 08:13 1179661                        /usr/lib64/libc-2.16.so
31c4bad000-31c4dad000 ---p 001ad000 08:13 1179661                        /usr/lib64/libc-2.16.so
31c4dad000-31c4db1000 r--p 001ad000 08:13 1179661                        /usr/lib64/libc-2.16.so
31c4db1000-31c4db3000 rw-p 001b1000 08:13 1179661                        /usr/lib64/libc-2.16.so
31c4db3000-31c4db8000 rw-p 00000000 00:00 0 
31c4e00000-31c4e03000 r-xp 00000000 08:13 1186697                        /usr/lib64/libdl-2.16.so
31c4e03000-31c5002000 ---p 00003000 08:13 1186697                        /usr/lib64/libdl-2.16.so
31c5002000-31c5003000 r--p 00002000 08:13 1186697                        /usr/lib64/libdl-2.16.so
31c5003000-31c5004000 rw-p 00003000 08:13 1186697                        /usr/lib64/libdl-2.16.so
31c5200000-31c5216000 r-xp 00000000 08:13 1179663                        /usr/lib64/libpthread-2.16.so
31c5216000-31c5416000 ---p 00016000 08:13 1179663                        /usr/lib64/libpthread-2.16.so
31c5416000-31c5417000 r--p 00016000 08:13 1179663                        /usr/lib64/libpthread-2.16.so
31c5417000-31c5418000 rw-p 00017000 08:13 1179663                        /usr/lib64/libpthread-2.16.so
31c5418000-31c541c000 rw-p 00000000 00:00 0 
31c5600000-31c5607000 r-xp 00000000 08:13 1187308                        /usr/lib64/librt-2.16.so
31c5607000-31c5806000 ---p 00007000 08:13 1187308                        /usr/lib64/librt-2.16.so
31c5806000-31c5807000 r--p 00006000 08:13 1187308                        /usr/lib64/librt-2.16.so
31c5807000-31c5808000 rw-p 00007000 08:13 1187308                        /usr/lib64/librt-2.16.so
31c5a00000-31c5b00000 r-xp 00000000 08:13 1187333                        /usr/lib64/libm-2.16.so
31c5b00000-31c5cff000 ---p 00100000 08:13 1187333                        /usr/lib64/libm-2.16.so
31c5cff000-31c5d00000 r--p 000ff000 08:13 1187333                        /usr/lib64/libm-2.16.so
31c5d00000-31c5d01000 rw-p 00100000 08:13 1187333                        /usr/lib64/libm-2.16.so
31c5e00000-31c5e15000 r-xp 00000000 08:13 1186694                        /usr/lib64/libz.so.1.2.7
31c5e15000-31c6014000 ---p 00015000 08:13 1186694                        /usr/lib64/libz.so.1.2.7
31c6014000-31c6015000 r--p 00014000 08:13 1186694                        /usr/lib64/libz.so.1.2.7
31c6015000-31c6016000 rw-p 00015000 08:13 1186694                        /usr/lib64/libz.so.1.2.7
31c6200000-31c621f000 r-xp 00000000 08:13 1187389                        /usr/lib64/libselinux.so.1
31c621f000-31c641e000 ---p 0001f000 08:13 1187389                        /usr/lib64/libselinux.so.1
31c641e000-31c641f000 r--p 0001e000 08:13 1187389                        /usr/lib64/libselinux.so.1
31c641f000-31c6420000 rw-p 0001f000 08:13 1187389                        /usr/lib64/libselinux.so.1
31c6420000-31c6422000 rw-p 00000000 00:00 0 
31c6600000-31c665d000 r-xp 00000000 08:13 1187388                        /usr/lib64/libpcre.so.1.0.1
31c665d000-31c685c000 ---p 0005d000 08:13 1187388                        /usr/lib64/libpcre.so.1.0.1
31c685c000-31c685d000 r--p 0005c000 08:13 1187388                        /usr/lib64/libpcre.so.1.0.1
31c685d000-31c685e000 rw-p 0005d000 08:13 1187388                        /usr/lib64/libpcre.so.1.0.1
31c6a00000-31c6a16000 r-xp 00000000 08:13 1187361                        /usr/lib64/libresolv-2.16.so
31c6a16000-31c6c15000 ---p 00016000 08:13 1187361                        /usr/lib64/libresolv-2.16.so
31c6c15000-31c6c16000 r--p 00015000 08:13 1187361                        /usr/lib64/libresolv-2.16.so
31c6c16000-31c6c17000 rw-p 00016000 08:13 1187361                        /usr/lib64/libresolv-2.16.so
31c6c17000-31c6c19000 rw-p 00000000 00:00 0 
31c6e00000-31c6e15000 r-xp 00000000 08:13 1187340                        /usr/lib64/libgcc_s-4.7.2-20120921.so.1
31c6e15000-31c7014000 ---p 00015000 08:13 1187340                        /usr/lib64/libgcc_s-4.7.2-20120921.so.1
31c7014000-31c7015000 r--p 00014000 08:13 1187340                        /usr/lib64/libgcc_s-4.7.2-20120921.so.1
31c7015000-31c7016000 rw-p 00015000 08:13 1187340                        /usr/lib64/libgcc_s-4.7.2-20120921.so.1
31c7600000-31c767d000 r-xp 00000000 08:13 1194628                        /usr/lib64/libGLU.so.1.3.1
31c767d000-31c787c000 ---p 0007d000 08:13 1194628                        /usr/lib64/libGLU.so.1.3.1
31c787c000-31c787e000 r--p 0007c000 08:13 1194628                        /usr/lib64/libGLU.so.1.3.1
31c787e000-31c787f000 rw-p 0007e000 08:13 1194628                        /usr/lib64/libGLU.so.1.3.1
31c7a00000-31c7ae5000 r-xp 00000000 08:13 1187355                        /usr/lib64/libstdc++.so.6.0.17
31c7ae5000-31c7ce4000 ---p 000e5000 08:13 1187355                        /usr/lib64/libstdc++.so.6.0.17
31c7ce4000-31c7cec000 r--p 000e4000 08:13 1187355                        /usr/lib64/libstdc++.so.6.0.17
31c7cec000-31c7cee000 rw-p 000ec000 08:13 1187355                        /usr/lib64/libstdc++.so.6.0.17
31c7cee000-31c7d03000 rw-p 00000000 00:00 0 
31c8200000-31c8207000 r-xp 00000000 08:13 1187516                        /usr/lib64/libffi.so.5.0.10
31c8207000-31c8406000 ---p 00007000 08:13 1187516                        /usr/lib64/libffi.so.5.0.10
31c8406000-31c8407000 r--p 00006000 08:13 1187516                        /usr/lib64/libffi.so.5.0.10
31c8407000-31c8408000 rw-p 00007000 08:13 1187516                        /usr/lib64/libffi.so.5.0.10
31c8600000-31c861d000 r-xp 00000000 08:13 1190548                        /usr/lib64/libxcb.so.1.1.0
31c861d000-31c881c000 ---p 0001d000 08:13 1190548                        /usr/lib64/libxcb.so.1.1.0
31c881c000-31c881d000 r--p 0001c000 08:13 1190548                        /usr/lib64/libxcb.so.1.1.0
31c881d000-31c881e000 rw-p 0001d000 08:13 1190548                        /usr/lib64/libxcb.so.1.1.0
31c8a00000-31c8b34000 r-xp 00000000 08:13 1190573                        /usr/lib64/libX11.so.6.3.0
31c8b34000-31c8d34000 ---p 00134000 08:13 1190573                        /usr/lib64/libX11.so.6.3.0
31c8d34000-31c8d35000 r--p 00134000 08:13 1190573                        /usr/lib64/libX11.so.6.3.0
31c8d35000-31c8d3a000 rw-p 00135000 08:13 1190573                        /usr/lib64/libX11.so.6.3.0
31c8e00000-31c8e02000 r-xp 00000000 08:13 1190138                        /usr/lib64/libXau.so.6.0.0
31c8e02000-31c9002000 ---p 00002000 08:13 1190138                        /usr/lib64/libXau.so.6.0.0
31c9002000-31c9003000 r--p 00002000 08:13 1190138                        /usr/lib64/libXau.so.6.0.0
31c9003000-31c9004000 rw-p 00003000 08:13 1190138                        /usr/lib64/libXau.so.6.0.0
31c9200000-31c9204000 r-xp 00000000 08:13 1181045                        /usr/lib64/libuuid.so.1.3.0
31c9204000-31c9403000 ---p 00004000 08:13 1181045                        /usr/lib64/libuuid.so.1.3.0
31c9403000-31c9404000 r--p 00003000 08:13 1181045                        /usr/lib64/libuuid.so.1.3.0
31c9404000-31c9405000 rw-p 00004000 08:13 1181045                        /usr/lib64/libuuid.so.1.3.0
31c9a00000-31c9a44000 r-xp 00000000 08:13 1187480                        /usr/lib64/libdbus-1.so.3.7.1
31c9a44000-31c9c43000 ---p 00044000 08:13 1187480                        /usr/lib64/libdbus-1.so.3.7.1
31c9c43000-31c9c44000 r--p 00043000 08:13 1187480                        /usr/lib64/libdbus-1.so.3.7.1
31c9c44000-31c9c45000 rw-p 00044000 08:13 1187480                        /usr/lib64/libdbus-1.so.3.7.1
31c9e00000-31c9e26000 r-xp 00000000 08:13 1187559                        /usr/lib64/libexpat.so.1.6.0
31c9e26000-31ca026000 ---p 00026000 08:13 1187559                        /usr/lib64/libexpat.so.1.6.0
31ca026000-31ca028000 r--p 00026000 08:13 1187559                        /usr/lib64/libexpat.so.1.6.0
31ca028000-31ca029000 rw-p 00028000 08:13 1187559                        /usr/lib64/libexpat.so.1.6.0
31ca200000-31ca211000 r-xp 00000000 08:13 1190577                        /usr/lib64/libXext.so.6.4.0
31ca211000-31ca410000 ---p 00011000 08:13 1190577                        /usr/lib64/libXext.so.6.4.0
31ca410000-31ca411000 r--p 00010000 08:13 1190577                        /usr/lib64/libXext.so.6.4.0
31ca411000-31ca412000 rw-p 00011000 08:13 1190577                        /usr/lib64/libXext.so.6.4.0
31ca600000-31ca629000 r-xp 00000000 08:13 1190595                        /usr/lib64/libpng15.so.15.12.0
31ca629000-31ca828000 ---p 00029000 08:13 1190595                        /usr/lib64/libpng15.so.15.12.0
31ca828000-31ca829000 r--p 00028000 08:13 1190595                        /usr/lib64/libpng15.so.15.12.0
31ca829000-31ca82a000 rw-p 00029000 08:13 1190595                        /usr/lib64/libpng15.so.15.12.0
31cc200000-31cc20e000 r-xp 00000000 08:13 1190603                        /usr/lib64/libXi.so.6.1.0
31cc20e000-31cc40d000 ---p 0000e000 08:13 1190603                        /usr/lib64/libXi.so.6.1.0
31cc40d000-31cc40e000 r--p 0000d000 08:13 1190603                        /usr/lib64/libXi.so.6.1.0
31cc40e000-31cc40f000 rw-p 0000e000 08:13 1190603                        /usr/lib64/libXi.so.6.1.0
31cd200000-31cd29b000 r-xp 00000000 08:13 1190581                        /usr/lib64/libfreetype.so.6.9.0
31cd29b000-31cd49a000 ---p 0009b000 08:13 1190581                        /usr/lib64/libfreetype.so.6.9.0
31cd49a000-31cd4a0000 r--p 0009a000 08:13 1190581                        /usr/lib64/libfreetype.so.6.9.0
31cd4a0000-31cd4a1000 rw-p 000a0000 08:13 1190581                        /usr/lib64/libfreetype.so.6.9.0
31cd600000-31cd605000 r-xp 00000000 08:13 1190611                        /usr/lib64/libXfixes.so.3.1.0
31cd605000-31cd804000 ---p 00005000 08:13 1190611                        /usr/lib64/libXfixes.so.3.1.0
31cd804000-31cd805000 r--p 00004000 08:13 1190611                        /usr/lib64/libXfixes.so.3.1.0
31cd805000-31cd806000 rw-p 00005000 08:13 1190611                        /usr/lib64/libXfixes.so.3.1.0
31ce600000-31ce609000 r-xp 00000000 08:13 1190585                        /usr/lib64/libXrender.so.1.3.0
31ce609000-31ce808000 ---p 00009000 08:13 1190585                        /usr/lib64/libXrender.so.1.3.0
31ce808000-31ce809000 r--p 00008000 08:13 1190585                        /usr/lib64/libXrender.so.1.3.0
31ce809000-31ce80a000 rw-p 00009000 08:13 1190585                        /usr/lib64/libXrender.so.1.3.0
31d0400000-31d0409000 r-xp 00000000 08:13 1190680                        /usr/lib64/libXcursor.so.1.0.2
31d0409000-31d0609000 ---p 00009000 08:13 1190680                        /usr/lib64/libXcursor.so.1.0.2
31d0609000-31d060a000 r--p 00009000 08:13 1190680                        /usr/lib64/libXcursor.so.1.0.2
31d060a000-31d060b000 rw-p 0000a000 08:13 1190680                        /usr/lib64/libXcursor.so.1.0.2
31d8600000-31d8601000 r-xp 00000000 08:13 1190714                        /usr/lib64/libX11-xcb.so.1.0.0
31d8601000-31d8800000 ---p 00001000 08:13 1190714                        /usr/lib64/libX11-xcb.so.1.0.0
31d8800000-31d8801000 r--p 00000000 08:13 1190714                        /usr/lib64/libX11-xcb.so.1.0.0
31d8801000-31d8802000 rw-p 00001000 08:13 1190714                        /usr/lib64/libX11-xcb.so.1.0.0
31d8e00000-31d8e4a000 r-xp 00000000 08:13 1188195                        /usr/lib64/libglapi.so.0.0.0
31d8e4a000-31d9049000 ---p 0004a000 08:13 1188195                        /usr/lib64/libglapi.so.0.0.0
31d9049000-31d904e000 r--p 00049000 08:13 1188195                        /usr/lib64/libglapi.so.0.0.0
31d904e000-31d904f000 rw-p 0004e000 08:13 1188195                        /usr/lib64/libglapi.so.0.0.0
31d904f000-31d9050000 rw-p 00000000 00:00 0 
31d9200000-31d9281000 r-xp 00000000 08:13 1194558                        /usr/lib64/libGL.so.1.2.0
31d9281000-31d9481000 ---p 00081000 08:13 1194558                        /usr/lib64/libGL.so.1.2.0
31d9481000-31d9483000 r--p 00081000 08:13 1194558                        /usr/lib64/libGL.so.1.2.0
31d9483000-31d9484000 rw-p 00083000 08:13 1194558                        /usr/lib64/libGL.so.1.2.0
31d9484000-31d9485000 rw-p 00000000 00:00 0 
31d9600000-31d9602000 r-xp 00000000 08:13 1194447                        /usr/lib64/libXdamage.so.1.1.0
31d9602000-31d9801000 ---p 00002000 08:13 1194447                        /usr/lib64/libXdamage.so.1.1.0
31d9801000-31d9802000 r--p 00001000 08:13 1194447                        /usr/lib64/libXdamage.so.1.1.0
31d9802000-31d9803000 rw-p 00002000 08:13 1194447                        /usr/lib64/libXdamage.so.1.1.0
31d9a00000-31d9a04000 r-xp 00000000 08:13 1194488                        /usr/lib64/libXxf86vm.so.1.0.0
31d9a04000-31d9c04000 ---p 00004000 08:13 1194488                        /usr/lib64/libXxf86vm.so.1.0.0
31d9c04000-31d9c05000 r--p 00004000 08:13 1194488                        /usr/lib64/libXxf86vm.so.1.0.0
31d9c05000-31d9c06000 rw-p 00005000 08:13 1194488                        /usr/lib64/libXxf86vm.so.1.0.0
31d9e00000-31d9e0a000 r-xp 00000000 08:13 1194492                        /usr/lib64/libdrm.so.2.4.0
31d9e0a000-31da00a000 ---p 0000a000 08:13 1194492                        /usr/lib64/libdrm.so.2.4.0
31da00a000-31da00b000 r--p 0000a000 08:13 1194492                        /usr/lib64/libdrm.so.2.4.0
31da00b000-31da00c000 rw-p 0000b000 08:13 1194492                        /usr/lib64/libdrm.so.2.4.0
31da200000-31da215000 r-xp 00000000 08:13 1194479                        /usr/lib64/libxcb-glx.so.0.0.0
31da215000-31da414000 ---p 00015000 08:13 1194479                        /usr/lib64/libxcb-glx.so.0.0.0
31da414000-31da416000 r--p 00014000 08:13 1194479                        /usr/lib64/libxcb-glx.so.0.0.0
31da416000-31da417000 rw-p 00016000 08:13 1194479                        /usr/lib64/libxcb-glx.so.0.0.0
35bc600000-35bc618000 r-xp 00000000 08:13 1189546                        /usr/lib64/libXmu.so.6.2.0
35bc618000-35bc817000 ---p 00018000 08:13 1189546                        /usr/lib64/libXmu.so.6.2.0
35bc817000-35bc818000 r--p 00017000 08:13 1189546                        /usr/lib64/libXmu.so.6.2.0
35bc818000-35bc819000 rw-p 00018000 08:13 1189546                        /usr/lib64/libXmu.so.6.2.0
35bca00000-35bca6a000 r-xp 00000000 08:13 1190590                        /usr/lib64/libSDL-1.2.so.0.11.4
35bca6a000-35bcc6a000 ---p 0006a000 08:13 1190590                        /usr/lib64/libSDL-1.2.so.0.11.4
35bcc6a000-35bcc6b000 r--p 0006a000 08:13 1190590                        /usr/lib64/libSDL-1.2.so.0.11.4
35bcc6b000-35bcc6c000 rw-p 0006b000 08:13 1190590                        /usr/lib64/libSDL-1.2.so.0.11.4
35bcc6c000-35bcc9c000 rw-p 00000000 00:00 0 
35bce00000-35bcf11000 r-xp 00000000 08:13 1192144                        /usr/lib64/libtcl8.5.so
35bcf11000-35bd110000 ---p 00111000 08:13 1192144                        /usr/lib64/libtcl8.5.so
35bd110000-35bd115000 r--p 00110000 08:13 1192144                        /usr/lib64/libtcl8.5.so
35bd115000-35bd11c000 rw-p 00115000 08:13 1192144                        /usr/lib64/libtcl8.5.so
35bd200000-35bd220000 r-xp 00000000 08:13 1200521                        /usr/lib64/libSDL_mixer-1.2.so.0.12.0
35bd220000-35bd41f000 ---p 00020000 08:13 1200521                        /usr/lib64/libSDL_mixer-1.2.so.0.12.0
35bd41f000-35bd420000 r--p 0001f000 08:13 1200521                        /usr/lib64/libSDL_mixer-1.2.so.0.12.0
35bd420000-35bd429000 rw-p 00020000 08:13 1200521                        /usr/lib64/libSDL_mixer-1.2.so.0.12.0
35bd429000-35bd44e000 rw-p 00000000 00:00 0 
3986600000-398662c000 r-xp 00000000 08:13 1185923                        /usr/lib64/libvorbis.so.0.4.6
398662c000-398682b000 ---p 0002c000 08:13 1185923                        /usr/lib64/libvorbis.so.0.4.6
398682b000-398682c000 r--p 0002b000 08:13 1185923                        /usr/lib64/libvorbis.so.0.4.6
398682c000-398682d000 rw-p 0002c000 08:13 1185923                        /usr/lib64/libvorbis.so.0.4.6
3986e00000-3986e06000 r-xp 00000000 08:13 1185922                        /usr/lib64/libogg.so.0.8.0
3986e06000-3987005000 ---p 00006000 08:13 1185922                        /usr/lib64/libogg.so.0.8.0
3987005000-3987006000 r--p 00005000 08:13 1185922                        /usr/lib64/libogg.so.0.8.0
3987006000-3987007000 rw-p 00006000 08:13 1185922                        /usr/lib64/libogg.so.0.8.0
3987600000-3987607000 r-xp 00000000 08:13 1186676                        /usr/lib64/libSM.so.6.0.1
3987607000-3987806000 ---p 00007000 08:13 1186676                        /usr/lib64/libSM.so.6.0.1
3987806000-3987807000 r--p 00006000 08:13 1186676                        /usr/lib64/libSM.so.6.0.1
3987807000-3987808000 rw-p 00007000 08:13 1186676                        /usr/lib64/libSM.so.6.0.1
3988a00000-3988a17000 r-xp 00000000 08:13 1186674                        /usr/lib64/libICE.so.6.3.0
3988a17000-3988c16000 ---p 00017000 08:13 1186674                        /usr/lib64/libICE.so.6.3.0
3988c16000-3988c17000 r--p 00016000 08:13 1186674                        /usr/lib64/libICE.so.6.3.0
3988c17000-3988c18000 rw-p 00017000 08:13 1186674                        /usr/lib64/libICE.so.6.3.0
3988c18000-3988c1c000 rw-p 00000000 00:00 0 
398ba00000-398ba5f000 r-xp 00000000 08:13 1186685                        /usr/lib64/libXt.so.6.0.0
398ba5f000-398bc5f000 ---p 0005f000 08:13 1186685                        /usr/lib64/libXt.so.6.0.0
398bc5f000-398bc60000 r--p 0005f000 08:13 1186685                        /usr/lib64/libXt.so.6.0.0
398bc60000-398bc65000 rw-p 00060000 08:13 1186685                        /usr/lib64/libXt.so.6.0.0
398bc65000-398bc66000 rw-p 00000000 00:00 0 
3990e00000-3990e16000 r-xp 00000000 08:13 1182699                        /usr/lib64/libnsl-2.16.so
3990e16000-3991015000 ---p 00016000 08:13 1182699                        /usr/lib64/libnsl-2.16.so
3991015000-3991016000 r--p 00015000 08:13 1182699                        /usr/lib64/libnsl-2.16.so
3991016000-3991017000 rw-p 00016000 08:13 1182699                        /usr/lib64/libnsl-2.16.so
3991017000-3991019000 rw-p 00000000 00:00 0 
3993a00000-3993a05000 r-xp 00000000 08:13 1186696                        /usr/lib64/libXtst.so.6.1.0
3993a05000-3993c04000 ---p 00005000 08:13 1186696                        /usr/lib64/libXtst.so.6.1.0
3993c04000-3993c05000 r--p 00004000 08:13 1186696                        /usr/lib64/libXtst.so.6.1.0
3993c05000-3993c06000 rw-p 00005000 08:13 1186696                        /usr/lib64/libXtst.so.6.1.0
3994200000-3994257000 r-xp 00000000 08:13 1189124                        /usr/lib64/libsndfile.so.1.0.25
3994257000-3994457000 ---p 00057000 08:13 1189124                        /usr/lib64/libsndfile.so.1.0.25
3994457000-3994459000 r--p 00057000 08:13 1189124                        /usr/lib64/libsndfile.so.1.0.25
3994459000-399445a000 rw-p 00059000 08:13 1189124                        /usr/lib64/libsndfile.so.1.0.25
399445a000-399445e000 rw-p 00000000 00:00 0 
3994600000-3994639000 r-xp 00000000 08:13 1189122                        /usr/lib64/libFLAC.so.8.2.0
3994639000-3994838000 ---p 00039000 08:13 1189122                        /usr/lib64/libFLAC.so.8.2.0
3994838000-3994839000 r--p 00038000 08:13 1189122                        /usr/lib64/libFLAC.so.8.2.0
3994839000-399483a000 rw-p 00039000 08:13 1189122                        /usr/lib64/libFLAC.so.8.2.0
3994a00000-3994a48000 r-xp 00000000 08:13 1190830                        /usr/lib64/libpulse.so.0.14.2
3994a48000-3994c47000 ---p 00048000 08:13 1190830                        /usr/lib64/libpulse.so.0.14.2
3994c47000-3994c48000 r--p 00047000 08:13 1190830                        /usr/lib64/libpulse.so.0.14.2
3994c48000-3994c49000 rw-p 00048000 08:13 1190830                        /usr/lib64/libpulse.so.0.14.2
3994e00000-3994e05000 r-xp 00000000 08:13 1190827                        /usr/lib64/libasyncns.so.0.3.1
3994e05000-3995004000 ---p 00005000 08:13 1190827                        /usr/lib64/libasyncns.so.0.3.1
3995004000-3995005000 r--p 00004000 08:13 1190827                        /usr/lib64/libasyncns.so.0.3.1
3995005000-3995006000 rw-p 00005000 08:13 1190827                        /usr/lib64/libasyncns.so.0.3.1
3995200000-3995209000 r-xp 00000000 08:13 1190826                        /usr/lib64/libwrap.so.0.7.6
3995209000-3995408000 ---p 00009000 08:13 1190826                        /usr/lib64/libwrap.so.0.7.6
3995408000-3995409000 r--p 00008000 08:13 1190826                        /usr/lib64/libwrap.so.0.7.6
3995409000-399540a000 rw-p 00009000 08:13 1190826                        /usr/lib64/libwrap.so.0.7.6
399540a000-399540b000 rw-p 00000000 00:00 0 
3995600000-399560b000 r-xp 00000000 08:13 1189112                        /usr/lib64/libgsm.so.1.0.12
399560b000-399580a000 ---p 0000b000 08:13 1189112                        /usr/lib64/libgsm.so.1.0.12
399580a000-399580b000 r--p 0000a000 08:13 1189112                        /usr/lib64/libgsm.so.1.0.12
399580b000-399580c000 rw-p 0000b000 08:13 1189112                        /usr/lib64/libgsm.so.1.0.12
3995e00000-3995e07000 r-xp 00000000 08:13 1190810                        /usr/lib64/libjson.so.0.0.1
3995e07000-3996006000 ---p 00007000 08:13 1190810                        /usr/lib64/libjson.so.0.0.1
3996006000-3996007000 r--p 00006000 08:13 1190810                        /usr/lib64/libjson.so.0.0.1
3996007000-3996008000 rw-p 00007000 08:13 1190810                        /usr/lib64/libjson.so.0.0.1
3996e00000-3996e5f000 r-xp 00000000 08:13 1190828                        /usr/lib64/pulseaudio/libpulsecommon-2.0.so
3996e5f000-399705f000 ---p 0005f000 08:13 1190828                        /usr/lib64/pulseaudio/libpulsecommon-2.0.so
399705f000-3997060000 r--p 0005f000 08:13 1190828                        /usr/lib64/pulseaudio/libpulsecommon-2.0.so
3997060000-3997062000 rw-p 00060000 08:13 1190828                        /usr/lib64/pulseaudio/libpulsecommon-2.0.so
3997200000-39974b3000 r-xp 00000000 08:13 1185924                        /usr/lib64/libvorbisenc.so.2.0.9
39974b3000-39976b2000 ---p 002b3000 08:13 1185924                        /usr/lib64/libvorbisenc.so.2.0.9
39976b2000-39976ce000 r--p 002b2000 08:13 1185924                        /usr/lib64/libvorbisenc.so.2.0.9
39976ce000-39976cf000 rw-p 002ce000 08:13 1185924                        /usr/lib64/libvorbisenc.so.2.0.9
7fffe4000000-7fffe4021000 rw-p 00000000 00:00 0 
7fffe4021000-7fffe8000000 ---p 00000000 00:00 0 
7fffe90d2000-7fffe9ad2000 rwxp 00000000 00:00 0 
7fffe9c89000-7fffe9d43000 rw-p 00000000 00:00 0 
7fffe9dfd000-7fffe9e59000 rw-p 00000000 00:00 0 
7fffe9eb5000-7fffe9f06000 r-xp 00000000 08:13 1202252                    /usr/lib64/libmikmod.so.3.0.0
7fffe9f06000-7fffea106000 ---p 00051000 08:13 1202252                    /usr/lib64/libmikmod.so.3.0.0
7fffea106000-7fffea107000 r--p 00051000 08:13 1202252                    /usr/lib64/libmikmod.so.3.0.0
7fffea107000-7fffea109000 rw-p 00052000 08:13 1202252                    /usr/lib64/libmikmod.so.3.0.0
7fffea109000-7fffea10b000 rw-p 00000000 00:00 0 
7fffea123000-7fffea124000 ---p 00000000 00:00 0 
7fffea124000-7fffea924000 rw-p 00000000 00:00 0 
7fffee925000-7fffee928000 r-xp 00000000 08:13 1188595                    /usr/lib64/libpulse-simple.so.0.0.3
7fffee928000-7fffeeb28000 ---p 00003000 08:13 1188595                    /usr/lib64/libpulse-simple.so.0.0.3
7fffeeb28000-7fffeeb29000 r--p 00003000 08:13 1188595                    /usr/lib64/libpulse-simple.so.0.0.3
7fffeeb29000-7fffeeb2a000 rw-p 00004000 08:13 1188595                    /usr/lib64/libpulse-simple.so.0.0.3
7fffeeb42000-7fffeeb43000 ---p 00000000 00:00 0 
7fffeeb43000-7fffef343000 rw-p 00000000 00:00 0 
7fffef364000-7fffef365000 rw-p 00000000 00:00 0 
7fffef365000-7ffff06a7000 r-xp 00000000 08:13 1182262                    /usr/lib64/llvm/libLLVM-3.1.so
7ffff06a7000-7ffff08a7000 ---p 01342000 08:13 1182262                    /usr/lib64/llvm/libLLVM-3.1.so
7ffff08a7000-7ffff097f000 r--p 01342000 08:13 1182262                    /usr/lib64/llvm/libLLVM-3.1.so
7ffff097f000-7ffff0993000 rw-p 0141a000 08:13 1182262                    /usr/lib64/llvm/libLLVM-3.1.so
Program received signal SIGABRT, Aborted.
0x00000031c4a35ba5 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
63        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) thread apply all bt full
                                                                                                                                                                                                                                             
Thread 1 (Thread 0x7ffff7fd4840 (LWP 1521)):                                                                                                                                                                                                 
#0  0x00000031c4a35ba5 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63                                                                                                                                         
        resultvar = 0                                                                                                                                                                                                                        
        pid = 1521                                                                                                                                                                                                                           
        selftid = 1521                                                                                                                                                                                                                       
#1  0x00000031c4a37358 in __GI_abort () at abort.c:90                                                                                                                                                                                        
        save_stage = 2                                                                                                                                                                                                                       
        act = {__sigaction_handler = {sa_handler = 0x7fffffffd27a, sa_sigaction = 0x7fffffffd27a}, sa_mask = {__val = {6, 213753759206, 2,                                                                                                   
              140737488343694, 2, 213753752500, 1, 213753759202, 3, 140737488343670, 10, 213753759206, 2, 140737488344480, 15, 140737488346240}},                                                                                            
          sa_flags = 98, sa_restorer = 0x7}                                                                                                                                                                                                  
        sigs = {__val = {32, 0 <repeats 15 times>}}                                                                                                                                                                                          
#2  0x00000031c4a754ab in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x31c4b799c8 "*** glibc detected *** %s: %s: 0x%s ***\n")                                                                                                 
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:197                                                                                                                                                                                           
        ap = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fffffffdc90, reg_save_area = 0x7fffffffdba0}}                                                                                                                          
        ap_copy = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fffffffdc90, reg_save_area = 0x7fffffffdba0}}                                                                                                                     
        fd = 7                                                                                                                                                                                                                               
        on_2 = <optimized out>                                                                                                                                                                                                               
        list = <optimized out>                                                                                                                                                                                                               
        nlist = <optimized out>                                                                                                                                                                                                              
        cp = <optimized out>                                                                                                                                                                                                                 
        written = <optimized out>                                                                                                                                                                                                            
#3  0x00000031c4a7c95e in malloc_printerr (ptr=0xcb33e0, str=0x31c4b79ad8 "free(): invalid next size (fast)", action=3) at malloc.c:4969                                                                                                     
        buf = "0000000000cb33e0"                                                                                                                                                                                                             
        cp = <optimized out>
#4  _int_free (av=0x31c4db1740 <main_arena>, p=0xcb33d0, have_lock=0) at malloc.c:3826
        size = <optimized out>
        fb = <optimized out>
        nextchunk = <optimized out>
        nextsize = <optimized out>
        nextinuse = <optimized out>
        prevsize = <optimized out>
        bck = <optimized out>
        fwd = <optimized out>
        errstr = <optimized out>
        locked = <optimized out>
#5  0x0000000000410f34 in deallocate (__p=<optimized out>, this=<optimized out>) at /usr/include/c++/4.7.1/ext/new_allocator.h:100
No locals.
#6  _M_put_node (__p=<optimized out>, this=<optimized out>) at /usr/include/c++/4.7.1/bits/stl_tree.h:373
No locals.
---Type <return> to continue, or q <return> to quit---
#7  _M_destroy_node (__p=<optimized out>, this=<optimized out>) at /usr/include/c++/4.7.1/bits/stl_tree.h:395
No locals.
#8  std::_Rb_tree<std::string, std::pair<std::string const, music_context_data_t>, std::_Select1st<std::pair<std::string const, music_context_data_t> >, std::less<std::string>, std::allocator<std::pair<std::string const, music_context_data_t> > >::_M_erase (this=this@entry=0x73a9c0, __x=<optimized out>)
    at /usr/include/c++/4.7.1/bits/stl_tree.h:1084
        __y = 0x0
#9  0x0000000000410f14 in std::_Rb_tree<std::string, std::pair<std::string const, music_context_data_t>, std::_Select1st<std::pair<std::string const, music_context_data_t> >, std::less<std::string>, std::allocator<std::pair<std::string const, music_context_data_t> > >::_M_erase (this=this@entry=0x73a9c0, 
    __x=0xd60360) at /usr/include/c++/4.7.1/bits/stl_tree.h:1082
        __y = 0xc16b00
#10 0x0000000000410f14 in std::_Rb_tree<std::string, std::pair<std::string const, music_context_data_t>, std::_Select1st<std::pair<std::string const, music_context_data_t> >, std::less<std::string>, std::allocator<std::pair<std::string const, music_context_data_t> > >::_M_erase (this=0x73a9c0, __x=0xc16b00)
    at /usr/include/c++/4.7.1/bits/stl_tree.h:1082
        __y = 0xc16b00
#11 0x00000031c4a38df1 in __run_exit_handlers (status=0, listp=0x31c4db16a8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:77
        atfct = <optimized out>
        onfct = <optimized out>
        cxafct = <optimized out>
        f = <optimized out>
#12 0x00000031c4a38e75 in __GI_exit (status=<optimized out>) at exit.c:99
No locals.
#13 0x0000000000455f15 in winsys_exit (code=0) at winsys.cpp:332
No locals.
#14 0x000000000040d426 in pp::Widget::performClickAction (this=<optimized out>) at ppgltk/alg/signal.h:206
No locals.
#15 0x000000000040d861 in pp::Widget::mouseUp (this=0x4099940, button=1521, x=6, y=-1) at ppgltk/widget.cpp:171
No locals.
#16 0x000000000040afe2 in pp::UIManager::mouseEvent (this=0x68aae0, button=1, state=0, x=955, y=315) at ppgltk/ui_mgr.cpp:134
No locals.
#17 0x0000000000455f99 in winsys_process_events () at winsys.cpp:270
        event = {type = 6 '\006', active = {type = 6 '\006', gain = 0 '\000', state = 1 '\001'}, key = {type = 6 '\006', which = 0 '\000', 
            state = 1 '\001', keysym = {scancode = 187 '\273', sym = SDLK_UNKNOWN, mod = KMOD_NONE, unicode = 0}}, motion = {type = 6 '\006', 
            which = 0 '\000', state = 1 '\001', x = 955, y = 765, xrel = 0, yrel = 0}, button = {type = 6 '\006', which = 0 '\000', button = 1 '\001', 
            state = 0 '\000', x = 955, y = 765}, jaxis = {type = 6 '\006', which = 0 '\000', axis = 1 '\001', value = 955}, jball = {type = 6 '\006', 
            which = 0 '\000', ball = 1 '\001', xrel = 955, yrel = 765}, jhat = {type = 6 '\006', which = 0 '\000', hat = 1 '\001', value = 0 '\000'}, 
          jbutton = {type = 6 '\006', which = 0 '\000', button = 1 '\001', state = 0 '\000'}, resize = {type = 6 '\006', w = 50135995, h = 0}, expose = {
            type = 6 '\006'}, quit = {type = 6 '\006'}, user = {type = 6 '\006', code = 50135995, data1 = 0x0, data2 = 0x0}, syswm = {type = 6 '\006', 
            msg = 0x0}}
        x = 974
        y = 606
---Type <return> to continue, or q <return> to quit---
#18 0x0000000000408539 in main (argc=1, argv=0x7fffffffe018) at main.cpp:307
No locals.
Comment 1 Fedora End Of Life 2013-12-21 04:00:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 07:25:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.